// src/types/uqrcodejs.d.ts
declare module 'uqrcodejs' {
  export default class UQRCode {
    data: string;
    size: number;
    margin: number;
    foreground: string;
    background: string;
    errorCorrectLevel: 'L' | 'M' | 'Q' | 'H';

    constructor();
    make(): void;
    drawCanvas(canvasId: string, component?: any): void;
    drawContext(context: any): void;
    toDataURL(callback?: (base64: string) => void): void;
  }
}
